org.eclipse.aether.repository

## Interface Authentication

-     public interface Authentication

  The authentication to use for accessing a protected resource. This acts basically as an extensible callback mechanism from which network operations can request authentication data like username and password when needed.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `digest(AuthenticationDigest digest)` Updates the given digest with data from this authentication callback.
    `void` | `fill(AuthenticationContext context, String key, Map<String,String> data)` Fills the given authentication context with the data from this authentication callback.

- - ### Method Detail

    - #### fill

          void fill(AuthenticationContext context,
                  String key,
                  Map<String,String> data)

      Fills the given authentication context with the data from this authentication callback. To do so, implementors have to call `AuthenticationContext.put(String, Object)`.
      The `key` parameter supplied to this method acts merely as a hint for interactive callbacks that want to prompt the user for only that authentication data which is required. Implementations are free to ignore this parameter and put all the data they have into the authentication context at once.
      Parameters:
        `context` - The authentication context to populate, must not be `null`.
        `key` - The key denoting a specific piece of authentication data that is being requested for a network operation, may be `null`.
        `data` - Any (read-only) extra data in form of key value pairs that might be useful when getting the authentication data, may be `null`.

    - #### digest

          void digest(AuthenticationDigest digest)

      Updates the given digest with data from this authentication callback. To do so, implementors have to call the `update()` methods in `AuthenticationDigest`.
      Parameters:
        `digest` - The digest to update, must not be `null`.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.